## musescore-sftools 20180222

=== CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#  $Id:$
#
#  Copyright (C) 2011-2014 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

project(sfconvert)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)
include (${PROJECT_SOURCE_DIR}/build/FindQt5.cmake)
include (${PROJECT_SOURCE_DIR}/build/UsePkgConfig1.cmake)
# set(CMAKE_VERBOSE_MAKEFILE ON)

set(QT_MIN_VERSION    "5.6")
set(QT_USE_QTXML         TRUE)

if (MINGW)
      set(CMAKE_CXX_FLAGS   "-g -std=c++0x")
else (MINGW)
      set(CMAKE_CXX_FLAGS   "-g -std=c++0x -fPIC -fPIE")
endif (MINGW)

add_executable(sfconvert
   sfconvert.cpp sfont.cpp xml.cpp
   )

if (MINGW)
   target_link_libraries(sfconvert
      ${QT_LIBRARIES}
      vorbis
      ##vorbisfile
      ogg
      sndfile-1
   )

   install( TARGETS sfconvert RUNTIME DESTINATION . )

   install_files ( . .dll
      ${CROSS}/bin/libgcc_s_dw2-1.dll
      ${CROSS}/bin/libstdc++-6.dll
      ${CROSS}/bin/libwinpthread-1.dll
      ${CROSS}/lib/libsndfile-1.dll
      ${CROSS}/lib/libogg.dll
      ${CROSS}/lib/libvorbis.dll
      ${CROSSQT}/bin/Qt5Core.dll
      ${CROSSQT}/bin/Qt5Xml.dll
      ${CROSSQT}/bin/icuin51.dll
      ${CROSSQT}/bin/icuuc51.dll
      ${CROSSQT}/bin/icudt51.dll
      )
else (MINGW)

   ##
   ## libsndfile
   ##

   PKGCONFIG1 (sndfile 1.0.25 SNDFILE_INCDIR SNDFILE_LIBDIR SNDFILE_LIB SNDFILE_CPP)
   if (SNDFILE_INCDIR)
       message("libsndfile detected ${SNDFILE_INCDIR} ${SNDFILE_LIBDIR} ${SNDFILE_LIB}")
   else (SNDFILE_INCDIR)
      message("libsndfile not found\n")
   endif (SNDFILE_INCDIR)

   ##
   ## libvorbis
   ##

   PKGCONFIG1 (vorbis 1.3.3 VORBIS_INCDIR VORBIS_LIBDIR VORBIS_LIB VORBIS_CPP)
   if (VORBIS_INCDIR)
       message("libvorbis detected ${VORBIS_INCDIR} ${VORBIS_LIBDIR} ${VORBIS_LIB}")
   else (VORBIS_INCDIR)
       message("libvorbis not found\n")
   endif (VORBIS_INCDIR)


   ##
   ## libogg
   ##

   PKGCONFIG1 (ogg 1.3.0 OGG_INCDIR OGG_LIBDIR OGG_LIB OGG_CPP)
   if (OGG_INCDIR)
       message("libogg detected ${OGG_INCDIR} ${OGG_LIBDIR} ${OGG_LIB}")
   else (OGG_INCDIR)
       message("libogg not found\n")
   endif (OGG_INCDIR)

   ##
   ## Includes
   ##
   include_directories(
      ${PROJECT_SOURCE_DIR}
      ${PROJECT_BINARY_DIR}
      ${SNDFILE_INCDIR}
      ${OGG_INCDIR}
      ${VORBIS_INCDIR}
   )

   target_link_libraries(sfconvert
      ${QT_LIBRARIES}
      ${OGG_LIB}
      ${VORBIS_LIB}
      vorbisenc
      ${SNDFILE_LIB}
   )
endif (MINGW)

=== debian/changelog ===
musescore-sftools (20180222-2) unstable; urgency=low

  * Document likely renaming of the binary package upcoming
  * Add patch to allow SF3 building in a reproducible manner
  * Provide debian/upstream/metadata as prompted by lintian
  * Update patches and forward them upstream as possible

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 15 Mar 2018 01:22:48 +0100

musescore-sftools (20180222-1) unstable; urgency=high

  * Initial Release

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 05 Mar 2018 02:12:16 +0100

=== debian/control ===
Source: musescore-sftools
Section: sound
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Homepage: https://github.com/musescore/sftools
Build-Depends: cmake, debhelper (>= 11), libsndfile1-dev, qtbase5-dev (>= 5.6)
Standards-Version: 4.1.3
VCS-git: https://github.com/mirabilos/sftools
VCS-Browser: https://github.com/mirabilos/sftools

Package: musescore-sfconvert
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: MuseScore SoundFont converter
 The musescore-sfconvert tool can be used to convert an SF2 SoundFont
 into SF3 format, or into C code for embedding into a binary.
 .
 The SF3 SoundFont format is the same as SF2, except it uses
 an OGG container instead of WAV for the patches contained
 in it. Current synthesisers, such as MuseScore and FluidSynth,
 expect the Vorbis codec to be used, which is lossy; hence, an
 SF3 SoundFont is considered to have a corresponding SF2 one
 as source, and to be compiled via this tool.
 .
 Note: the package will likely be renamed (upstream and in Debian).

## musescore-sftools 20180325

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,9 @@
 #  the file LICENSE.GPL
 #=============================================================================
 
-project(sfconvert)
+project(sf3convert)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)
+include (GNUInstallDirs)
 include (${PROJECT_SOURCE_DIR}/build/FindQt5.cmake)
 include (${PROJECT_SOURCE_DIR}/build/UsePkgConfig1.cmake)
 # set(CMAKE_VERBOSE_MAKEFILE ON)
@@ -20,18 +21,21 @@
 set(QT_MIN_VERSION    "5.6")
 set(QT_USE_QTXML         TRUE)
 
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
+
+# distributions might need to override these
 if (MINGW)
-      set(CMAKE_CXX_FLAGS   "-g -std=c++0x")
+      set(CMAKE_CXX_FLAGS   "${CMAKE_CXX_FLAGS} -g")
 else (MINGW)
-      set(CMAKE_CXX_FLAGS   "-g -std=c++0x -fPIC -fPIE")
+      set(CMAKE_CXX_FLAGS   "${CMAKE_CXX_FLAGS} -g -fPIC -fPIE")
 endif (MINGW)
 
-add_executable(sfconvert
+add_executable(sf3convert
    sfconvert.cpp sfont.cpp xml.cpp
    )
 
 if (MINGW)
-   target_link_libraries(sfconvert
+   target_link_libraries(sf3convert
       ${QT_LIBRARIES}
       vorbis
       ##vorbisfile
@@ -39,7 +43,7 @@
       sndfile-1
    )
 
-   install( TARGETS sfconvert RUNTIME DESTINATION . )
+   install( TARGETS sf3convert RUNTIME DESTINATION . )
 
    install_files ( . .dll
       ${CROSS}/bin/libgcc_s_dw2-1.dll
@@ -101,11 +105,14 @@
       ${VORBIS_INCDIR}
    )
 
-   target_link_libraries(sfconvert
+   target_link_libraries(sf3convert
       ${QT_LIBRARIES}
       ${OGG_LIB}
       ${VORBIS_LIB}
       vorbisenc
       ${SNDFILE_LIB}
    )
+
+   install(TARGETS sf3convert RUNTIME DESTINATION bin)
+   install(FILES sf3convert.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 COMPONENT doc)
 endif (MINGW)

=== Makefile ===
#=============================================================================
#  sftools
#  $Id:$
#
#  Copyright (C) 2002-2007 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

CPUS = 2

release:
	if test ! -d build.release; then mkdir build.release; fi; \
  cd build.release; \
  cmake -DCMAKE_BUILD_TYPE=RELEASE  .. ;\
  $(MAKE) -j ${CPUS}

debug:
	if test ! -d build.debug; then mkdir build.debug; fi; \
  cd build.debug ; \
  cmake -DCMAKE_BUILD_TYPE=DEBUG .. ; \
  $(MAKE) -j ${CPUS}

version:
	@echo ${VERSION}

#
# clean out of source build
#

clean:
	rm -rf build.debug build.release

=== debian/changelog ===
musescore-sftools (20180325-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 31 Mar 2018 02:41:30 +0200

musescore-sftools (20180325-1) unstable; urgency=high

  * Rename binary to sf3convert as requested by upstream
    (the former package name existed short enough no transition is needed)
  * New upstream snapshot, merges all patches

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 25 Mar 2018 19:28:35 +0200

=== debian/control ===
Source: musescore-sftools
Section: sound
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Homepage: https://github.com/musescore/sftools
Build-Depends: cmake, debhelper (>= 11~), libsndfile1-dev, qtbase5-dev (>= 5.6)
Standards-Version: 4.1.3
VCS-git: https://github.com/mirabilos/sftools
VCS-Browser: https://github.com/mirabilos/sftools

Package: sf3convert
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: MuseScore SoundFont converter
 The sf3convert tool can be used to convert an SF2 SoundFont
 into SF3 format, or into C code for embedding into a binary.
 .
 The SF3 SoundFont format is the same as SF2, except it uses
 an OGG container instead of WAV for the patches contained
 in it. Current synthesisers, such as MuseScore and FluidSynth,
 expect the Vorbis codec to be used, which is lossy; hence, an
 SF3 SoundFont is considered to have a corresponding SF2 one
 as source, and to be compiled via this tool.

## musescore-sftools 20201011

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,25 @@
 #=============================================================================
-#  MuseScore
-#  Music Composition & Notation
-#  $Id:$
+#  MuseScore sftools
 #
 #  Copyright (C) 2011-2014 Werner Schweer
 #
-#  This program is free software; you can redistribute it and/or modify
-#  it under the terms of the GNU General Public License version 2
-#  as published by the Free Software Foundation and appearing in
-#  the file LICENSE.GPL
+#  This work is free software; you can redistribute it and/or
+#  modify it under the terms of the GNU Library General Public
+#  License as published by the Free Software Foundation; either
+#  version 2 of the License, or (at your option) any later version.
+#
+#  In addition, as a special exception, licensor gives permission to
+#  link the code of this work with the OpenSSL Library (or with modified
+#  versions of OpenSSL that use the same license as OpenSSL), and
+#  distribute linked combinations including the two. You must obey the
+#  GNU General Public License in all respects for all of the code used
+#  other than OpenSSL. If you modify this file, you may extend this
+#  exception to your version of the file, but you are not obligated to
+#  do so. If you do not wish to do so, delete this exception statement
+#  from your version. (This exception is necessary should this work be
+#  included in a GPL-licenced work.)
+#
+#  See COPYING.LIB for the licence text and disclaimer of warranty.
 #=============================================================================
 
 project(sf3convert)
@@ -82,7 +93,6 @@
        message("libvorbis not found\n")
    endif (VORBIS_INCDIR)
 
-
    ##
    ## libogg
    ##

=== Makefile ===
#=============================================================================
#  MuseScore sftools
#
#  Copyright (C) 2002-2007 by Werner Schweer and others
#
#  This work is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Library General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
#
#  In addition, as a special exception, licensor gives permission to
#  link the code of this work with the OpenSSL Library (or with modified
#  versions of OpenSSL that use the same license as OpenSSL), and
#  distribute linked combinations including the two. You must obey the
#  GNU General Public License in all respects for all of the code used
#  other than OpenSSL. If you modify this file, you may extend this
#  exception to your version of the file, but you are not obligated to
#  do so. If you do not wish to do so, delete this exception statement
#  from your version. (This exception is necessary should this work be
#  included in a GPL-licenced work.)
#
#  See COPYING.LIB for the licence text and disclaimer of warranty.
#=============================================================================

CPUS = 2

release:
	if test ! -d build.release; then mkdir build.release; fi; \
  cd build.release; \
  cmake -DCMAKE_BUILD_TYPE=RELEASE  .. ;\
  $(MAKE) -j ${CPUS}

debug:
	if test ! -d build.debug; then mkdir build.debug; fi; \
  cd build.debug ; \
  cmake -DCMAKE_BUILD_TYPE=DEBUG .. ; \
  $(MAKE) -j ${CPUS}

version:
	@echo ${VERSION}

#
# clean out of source build
#

clean:
	rm -rf build.debug build.release

=== debian/changelog ===
musescore-sftools (20201011-2) unstable; urgency=high

  * Bump Policy while here
  * Apply cmake-FTBFS-fixing suggestion (Closes: #1113305)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 04 Oct 2025 18:14:05 +0200

musescore-sftools (20201011-1) unstable; urgency=medium

  * New upstream release
    - more permissive licence (LGPLv2+ with OpenSSL exception)
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Bump Policy, add R³:no, remove buster’s -Wl,--as-needed
  * Explicitly B-D on an implementation of pkg-config so libogg and
    libvorbis can be detected (Closes: #1020058)
  * Update lintian overrides
  * Unclutter log (-Wno-deprecated-declarations, these are upstream’s
    job to fix)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 18 Sep 2022 21:28:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: https://github.com/musescore/sftools
-Build-Depends: cmake, debhelper (>= 11~), libsndfile1-dev, qtbase5-dev (>= 5.6)
-Standards-Version: 4.1.3
+Build-Depends: cmake, debhelper-compat (= 13),
+ libsndfile1-dev, pkgconf, qtbase5-dev (>= 5.6)
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 VCS-git: https://github.com/mirabilos/sftools
 VCS-Browser: https://github.com/mirabilos/sftools

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,${DEB_BUILD_OPTIONS}))
export DH_VERBOSE=1
export V=1
export VERBOSE=1
endif

LC_ALL:=C
export LC_ALL
TZ:=UTC
export TZ

shellescape='$(subst ','\'',$(1))'
shellexport=$(1)=$(call shellescape,${$(1)})

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk

OUR_CXXFLAGS:=	-Wno-deprecated-declarations

ifneq (,$(filter debug,${DEB_BUILD_OPTIONS}))
OUR_CXXFLAGS+=	-Og -g3
endif

dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
export DEB_BUILD_MAINT_OPTIONS := hardening=+all optimize=-lto
export DEB_CXXFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CXXFLAGS})
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
	    -DCMAKE_POLICY_VERSION_MINIMUM=3.5
